Issue 92785 - [Data][Validity] dialog []Allow Blank Cells checkbox mislabeled
Summary: [Data][Validity] dialog []Allow Blank Cells checkbox mislabeled
Status: RESOLVED FIXED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOo 2.4.1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 4.1.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-14 04:26 UTC by joropo
Modified: 2014-01-18 15:33 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments
Patch for changing blank to empty in the label (501 bytes, patch)
2013-12-18 07:15 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description joropo 2008-08-14 04:26:53 UTC
When Allow = Cell Range the check box [] "Allow Blank Cells" should be
identified as [] "Allow Empty Cells"
Since...
Ranges which contain character blanks pass validation and *ARE* allowed to be
entered, even with check box cleared!
Nothing dramatic.  Simply more meaningful user interface.
Blank not equal Empty.
Empty not equal Blank.
Comment 1 Edwin Sharp 2013-12-17 18:48:47 UTC
When Cell range = a,b,c.
Allow blank cells is checked:
Tools - Detective - Mark Invalid Data -> doesn't mark an empty cell, marks a cell with space.
Allow blank cells is unchecked:
Tools - Detective - Mark Invalid Data -> marks both empty cell and cell with space.
So Allow blank cells -> Allow empty cells.

AOO410m1(Build:9750)  -  Rev. 1551264
2013-12-17_04:10:52 - Rev. 1551455
Debian
Comment 2 hanya 2013-12-18 07:15:49 UTC
Created attachment 82127 [details]
Patch for changing blank to empty in the label

According to comments above.
Comment 3 SVN Robot 2014-01-18 14:48:40 UTC
"hanya" committed SVN revision 1559347 into trunk:
#i92785# fix label from Allow blank cells to Allow empty cells on Criteria ta...
Comment 4 hanya 2014-01-18 14:57:50 UTC
The label and related help paragraph was fixed on trunk.
Comment 5 Edwin Sharp 2014-01-18 15:33:35 UTC
Thank you hanya